## com.mysql.jdbc
Interface ConnectionProperties

All Known Subinterfaces:
  Connection

All Known Implementing Classes:
  ConnectionImpl, ConnectionPropertiesImpl, DocsConnectionPropsHelper, JDBC4Connection, ReplicationConnection

    public interface ConnectionProperties

Method Summary
`java.lang.String` `exposeAsXml()` Returns a description of the connection properties as an XML document.
`boolean` `getAllowLoadLocalInfile()` DOCUMENT ME!
`boolean` `getAllowMultiQueries()` DOCUMENT ME!
`boolean` `getAllowNanAndInf()`
`boolean` `getAllowUrlInLocalInfile()`
`boolean` `getAlwaysSendSetIsolation()`
`boolean` `getAutoClosePStmtStreams()`
`boolean` `getAutoDeserialize()`
`boolean` `getAutoGenerateTestcaseScript()`
`boolean` `getAutoReconnectForPools()` DOCUMENT ME!
`boolean` `getAutoSlowLog()`
`boolean` `getBlobsAreStrings()`
`int` `getBlobSendChunkSize()`
`boolean` `getCacheCallableStatements()` DOCUMENT ME!
`boolean` `getCacheCallableStmts()`
`boolean` `getCachePreparedStatements()` DOCUMENT ME!
`boolean` `getCachePrepStmts()`
`boolean` `getCacheResultSetMetadata()` DOCUMENT ME!
`boolean` `getCacheServerConfiguration()`
`int` `getCallableStatementCacheSize()` DOCUMENT ME!
`int` `getCallableStmtCacheSize()`
`boolean` `getCapitalizeTypeNames()` DOCUMENT ME!
`java.lang.String` `getCharacterSetResults()` DOCUMENT ME!
`java.lang.String` `getClientCertificateKeyStorePassword()`
`java.lang.String` `getClientCertificateKeyStoreType()`
`java.lang.String` `getClientCertificateKeyStoreUrl()`
`java.lang.String` `getClientInfoProvider()`
`boolean` `getClobberStreamingResults()` DOCUMENT ME!
`java.lang.String` `getClobCharacterEncoding()`
`boolean` `getCompensateOnDuplicateKeyUpdateCounts()`
`java.lang.String` `getConnectionCollation()` DOCUMENT ME!
`java.lang.String` `getConnectionLifecycleInterceptors()`
`int` `getConnectTimeout()` DOCUMENT ME!
`boolean` `getContinueBatchOnError()` DOCUMENT ME!
`boolean` `getCreateDatabaseIfNotExist()`
`int` `getDefaultFetchSize()`
`boolean` `getDontTrackOpenResources()`
`boolean` `getDumpMetadataOnColumnNotFound()`
`boolean` `getDumpQueriesOnException()` DOCUMENT ME!
`boolean` `getDynamicCalendars()`
`boolean` `getElideSetAutoCommits()` DOCUMENT ME!
`boolean` `getEmptyStringsConvertToZero()`
`boolean` `getEmulateLocators()` DOCUMENT ME!
`boolean` `getEmulateUnsupportedPstmts()`
`boolean` `getEnablePacketDebug()` DOCUMENT ME!
`boolean` `getEnableQueryTimeouts()`
`java.lang.String` `getEncoding()` DOCUMENT ME!
`ExceptionInterceptor` `getExceptionInterceptor()`
`java.lang.String` `getExceptionInterceptors()`
`boolean` `getExplainSlowQueries()` DOCUMENT ME!
`boolean` `getFailOverReadOnly()` DOCUMENT ME!
`boolean` `getFunctionsNeverReturnBlobs()`
`boolean` `getGatherPerfMetrics()`
`boolean` `getGatherPerformanceMetrics()` DOCUMENT ME!
`boolean` `getGenerateSimpleParameterMetadata()`
`boolean` `getHoldResultsOpenOverStatementClose()`
`boolean` `getIgnoreNonTxTables()` DOCUMENT ME!
`boolean` `getIncludeInnodbStatusInDeadlockExceptions()`
`int` `getInitialTimeout()` DOCUMENT ME!
`boolean` `getInteractiveClient()` DOCUMENT ME!
`boolean` `getIsInteractiveClient()` DOCUMENT ME!
`boolean` `getJdbcCompliantTruncation()` DOCUMENT ME!
`boolean` `getJdbcCompliantTruncationForReads()`
`java.lang.String` `getLargeRowSizeThreshold()`
`int` `getLoadBalanceBlacklistTimeout()`
`java.lang.String` `getLoadBalanceStrategy()`
`java.lang.String` `getLocalSocketAddress()`
`int` `getLocatorFetchBufferSize()`
`java.lang.String` `getLogger()` DOCUMENT ME!
`java.lang.String` `getLoggerClassName()` DOCUMENT ME!
`boolean` `getLogSlowQueries()` DOCUMENT ME!
`boolean` `getLogXaCommands()`
`boolean` `getMaintainTimeStats()`
`int` `getMaxQuerySizeToLog()` DOCUMENT ME!
`int` `getMaxReconnects()` DOCUMENT ME!
`int` `getMaxRows()` DOCUMENT ME!
`int` `getMetadataCacheSize()` Returns the number of queries that metadata can be cached if caching is enabled.
`int` `getNetTimeoutForStreamingResults()`
`boolean` `getNoAccessToProcedureBodies()`
`boolean` `getNoDatetimeStringSync()`
`boolean` `getNoTimezoneConversionForTimeType()`
`boolean` `getNullCatalogMeansCurrent()`
`boolean` `getNullNamePatternMatchesAll()`
`boolean` `getOverrideSupportsIntegrityEnhancementFacility()`
`int` `getPacketDebugBufferSize()` DOCUMENT ME!
`boolean` `getPadCharsWithSpace()`
`boolean` `getParanoid()` DOCUMENT ME!
`java.lang.String` `getPasswordCharacterEncoding()`
`boolean` `getPedantic()` DOCUMENT ME!
`boolean` `getPinGlobalTxToPhysicalConnection()`
`boolean` `getPopulateInsertRowWithDefaultValues()`
`int` `getPreparedStatementCacheSize()` DOCUMENT ME!
`int` `getPreparedStatementCacheSqlLimit()` DOCUMENT ME!
`int` `getPrepStmtCacheSize()`
`int` `getPrepStmtCacheSqlLimit()`
`boolean` `getProcessEscapeCodesForPrepStmts()`
`java.lang.String` `getProfilerEventHandler()`
`boolean` `getProfileSql()` DOCUMENT ME!
`boolean` `getProfileSQL()` DOCUMENT ME!
`java.lang.String` `getPropertiesTransform()`
`int` `getQueriesBeforeRetryMaster()` DOCUMENT ME!
`boolean` `getQueryTimeoutKillsConnection()`
`boolean` `getReconnectAtTxEnd()` DOCUMENT ME!
`boolean` `getRelaxAutoCommit()` DOCUMENT ME!
`int` `getReportMetricsIntervalMillis()` DOCUMENT ME!
`boolean` `getRequireSSL()` DOCUMENT ME!
`java.lang.String` `getResourceId()`
`int` `getResultSetSizeThreshold()`
`int` `getRetriesAllDown()`
`boolean` `getRewriteBatchedStatements()`
`boolean` `getRollbackOnPooledClose()`
`boolean` `getRoundRobinLoadBalance()` Returns whether or not hosts will be picked in a round-robin fashion.
`boolean` `getRunningCTS13()`
`int` `getSecondsBeforeRetryMaster()` DOCUMENT ME!
`int` `getSelfDestructOnPingMaxOperations()`
`int` `getSelfDestructOnPingSecondsLifetime()`
`java.lang.String` `getServerTimezone()` Returns the 'serverTimezone' property.
`java.lang.String` `getSessionVariables()`
`int` `getSlowQueryThresholdMillis()` DOCUMENT ME!
`long` `getSlowQueryThresholdNanos()`
`java.lang.String` `getSocketFactory()`
`java.lang.String` `getSocketFactoryClassName()` DOCUMENT ME!
`int` `getSocketTimeout()` DOCUMENT ME!
`java.lang.String` `getStatementInterceptors()`
`boolean` `getStrictFloatingPoint()` DOCUMENT ME!
`boolean` `getStrictUpdates()` DOCUMENT ME!
`boolean` `getTcpKeepAlive()`
`boolean` `getTcpNoDelay()`
`int` `getTcpRcvBuf()`
`int` `getTcpSndBuf()`
`int` `getTcpTrafficClass()`
`boolean` `getTinyInt1isBit()`
`boolean` `getTraceProtocol()` DOCUMENT ME!
`boolean` `getTransformedBitIsBoolean()`
`boolean` `getTreatUtilDateAsTimestamp()`
`java.lang.String` `getTrustCertificateKeyStorePassword()`
`java.lang.String` `getTrustCertificateKeyStoreType()`
`java.lang.String` `getTrustCertificateKeyStoreUrl()`
`boolean` `getUltraDevHack()`
`boolean` `getUseAffectedRows()`
`boolean` `getUseBlobToStoreUTF8OutsideBMP()`
`boolean` `getUseColumnNamesInFindColumn()`
`boolean` `getUseCompression()` DOCUMENT ME!
`java.lang.String` `getUseConfigs()`
`boolean` `getUseCursorFetch()`
`boolean` `getUseDirectRowUnpack()`
`boolean` `getUseDynamicCharsetInfo()`
`boolean` `getUseFastDateParsing()`
`boolean` `getUseFastIntParsing()`
`boolean` `getUseGmtMillisForDatetimes()`
`boolean` `getUseHostsInPrivileges()` DOCUMENT ME!
`boolean` `getUseInformationSchema()`
`boolean` `getUseJDBCCompliantTimezoneShift()`
`boolean` `getUseJvmCharsetConverters()`
`boolean` `getUseLegacyDatetimeCode()`
`boolean` `getUseLocalSessionState()`
`boolean` `getUseLocalTransactionState()`
`boolean` `getUseNanosForElapsedTime()`
`boolean` `getUseOldAliasMetadataBehavior()`
`boolean` `getUseOldUTF8Behavior()`
`boolean` `getUseOnlyServerErrorMessages()`
`boolean` `getUseReadAheadInput()`
`boolean` `getUseServerPreparedStmts()` DOCUMENT ME!
`boolean` `getUseServerPrepStmts()`
`boolean` `getUseSqlStateCodes()` DOCUMENT ME!
`boolean` `getUseSSL()` DOCUMENT ME!
`boolean` `getUseSSPSCompatibleTimezoneShift()`
`boolean` `getUseStreamLengthsInPrepStmts()` DOCUMENT ME!
`boolean` `getUseTimezone()` DOCUMENT ME!
`boolean` `getUseUltraDevWorkAround()` DOCUMENT ME!
`boolean` `getUseUnbufferedInput()` DOCUMENT ME!
`boolean` `getUseUnicode()` DOCUMENT ME!
`boolean` `getUseUsageAdvisor()` Returns whether or not the driver advises of proper usage.
`java.lang.String` `getUtf8OutsideBmpExcludedColumnNamePattern()`
`java.lang.String` `getUtf8OutsideBmpIncludedColumnNamePattern()`
`boolean` `getVerifyServerCertificate()`
`boolean` `getYearIsDateType()`
`java.lang.String` `getZeroDateTimeBehavior()`
`void` `setAllowLoadLocalInfile(boolean property)` DOCUMENT ME!
`void` `setAllowMultiQueries(boolean property)` DOCUMENT ME!
`void` `setAllowNanAndInf(boolean flag)`
`void` `setAllowUrlInLocalInfile(boolean flag)`
`void` `setAlwaysSendSetIsolation(boolean flag)`
`void` `setAutoClosePStmtStreams(boolean flag)`
`void` `setAutoDeserialize(boolean flag)`
`void` `setAutoGenerateTestcaseScript(boolean flag)`
`void` `setAutoReconnect(boolean flag)` DOCUMENT ME!
`void` `setAutoReconnectForConnectionPools(boolean property)` DOCUMENT ME!
`void` `setAutoReconnectForPools(boolean flag)` DOCUMENT ME!
`void` `setAutoSlowLog(boolean flag)`
`void` `setBlobsAreStrings(boolean flag)`
`void` `setBlobSendChunkSize(java.lang.String value)`
`void` `setCacheCallableStatements(boolean flag)` DOCUMENT ME!
`void` `setCacheCallableStmts(boolean flag)`
`void` `setCachePreparedStatements(boolean flag)` DOCUMENT ME!
`void` `setCachePrepStmts(boolean flag)`
`void` `setCacheResultSetMetadata(boolean property)` Sets whether or not we should cache result set metadata.
`void` `setCacheServerConfiguration(boolean flag)`
`void` `setCallableStatementCacheSize(int size)` Configures the number of callable statements to cache.
`void` `setCallableStmtCacheSize(int cacheSize)`
`void` `setCapitalizeDBMDTypes(boolean property)` DOCUMENT ME!
`void` `setCapitalizeTypeNames(boolean flag)` DOCUMENT ME!
`void` `setCharacterEncoding(java.lang.String encoding)` DOCUMENT ME!
`void` `setCharacterSetResults(java.lang.String characterSet)` DOCUMENT ME!
`void` `setClientCertificateKeyStorePassword(java.lang.String value)`
`void` `setClientCertificateKeyStoreType(java.lang.String value)`
`void` `setClientCertificateKeyStoreUrl(java.lang.String value)`
`void` `setClientInfoProvider(java.lang.String classname)`
`void` `setClobberStreamingResults(boolean flag)` DOCUMENT ME!
`void` `setClobCharacterEncoding(java.lang.String encoding)`
`void` `setCompensateOnDuplicateKeyUpdateCounts(boolean flag)`
`void` `setConnectionCollation(java.lang.String collation)` DOCUMENT ME!
`void` `setConnectionLifecycleInterceptors(java.lang.String interceptors)`
`void` `setConnectTimeout(int timeoutMs)` DOCUMENT ME!
`void` `setContinueBatchOnError(boolean property)` DOCUMENT ME!
`void` `setCreateDatabaseIfNotExist(boolean flag)`
`void` `setDefaultFetchSize(int n)`
`void` `setDetectServerPreparedStmts(boolean property)` DOCUMENT ME!
`void` `setDontTrackOpenResources(boolean flag)`
`void` `setDumpMetadataOnColumnNotFound(boolean flag)`
`void` `setDumpQueriesOnException(boolean flag)` DOCUMENT ME!
`void` `setDynamicCalendars(boolean flag)`
`void` `setElideSetAutoCommits(boolean flag)` DOCUMENT ME!
`void` `setEmptyStringsConvertToZero(boolean flag)`
`void` `setEmulateLocators(boolean property)` DOCUMENT ME!
`void` `setEmulateUnsupportedPstmts(boolean flag)`
`void` `setEnablePacketDebug(boolean flag)` DOCUMENT ME!
`void` `setEnableQueryTimeouts(boolean flag)`
`void` `setEncoding(java.lang.String property)` DOCUMENT ME!
`void` `setExceptionInterceptors(java.lang.String exceptionInterceptors)`
`void` `setExplainSlowQueries(boolean flag)` DOCUMENT ME!
`void` `setFailOverReadOnly(boolean flag)` DOCUMENT ME!
`void` `setFunctionsNeverReturnBlobs(boolean flag)`
`void` `setGatherPerfMetrics(boolean flag)`
`void` `setGatherPerformanceMetrics(boolean flag)` DOCUMENT ME!
`void` `setGenerateSimpleParameterMetadata(boolean flag)`
`void` `setHoldResultsOpenOverStatementClose(boolean flag)`
`void` `setIgnoreNonTxTables(boolean property)` DOCUMENT ME!
`void` `setIncludeInnodbStatusInDeadlockExceptions(boolean flag)`
`void` `setInitialTimeout(int property)` DOCUMENT ME!
`void` `setInteractiveClient(boolean property)`
`void` `setIsInteractiveClient(boolean property)` DOCUMENT ME!
`void` `setJdbcCompliantTruncation(boolean flag)` DOCUMENT ME!
`void` `setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)`
`void` `setLargeRowSizeThreshold(java.lang.String value)`
`void` `setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)`
`void` `setLoadBalanceStrategy(java.lang.String strategy)`
`void` `setLocalSocketAddress(java.lang.String address)`
`void` `setLocatorFetchBufferSize(java.lang.String value)`
`void` `setLogger(java.lang.String property)` DOCUMENT ME!
`void` `setLoggerClassName(java.lang.String className)` DOCUMENT ME!
`void` `setLogSlowQueries(boolean flag)` DOCUMENT ME!
`void` `setLogXaCommands(boolean flag)`
`void` `setMaintainTimeStats(boolean flag)`
`void` `setMaxQuerySizeToLog(int sizeInBytes)` DOCUMENT ME!
`void` `setMaxReconnects(int property)` DOCUMENT ME!
`void` `setMaxRows(int property)` DOCUMENT ME!
`void` `setMetadataCacheSize(int value)` Sets the number of queries that metadata can be cached if caching is enabled.
`void` `setNetTimeoutForStreamingResults(int value)`
`void` `setNoAccessToProcedureBodies(boolean flag)`
`void` `setNoDatetimeStringSync(boolean flag)`
`void` `setNoTimezoneConversionForTimeType(boolean flag)`
`void` `setNullCatalogMeansCurrent(boolean value)`
`void` `setNullNamePatternMatchesAll(boolean value)`
`void` `setOverrideSupportsIntegrityEnhancementFacility(boolean flag)`
`void` `setPacketDebugBufferSize(int size)` DOCUMENT ME!
`void` `setPadCharsWithSpace(boolean flag)`
`void` `setParanoid(boolean property)` DOCUMENT ME!
`void` `setPasswordCharacterEncoding(java.lang.String characterSet)`
`void` `setPedantic(boolean property)` DOCUMENT ME!
`void` `setPinGlobalTxToPhysicalConnection(boolean flag)`
`void` `setPopulateInsertRowWithDefaultValues(boolean flag)`
`void` `setPreparedStatementCacheSize(int cacheSize)` DOCUMENT ME!
`void` `setPreparedStatementCacheSqlLimit(int cacheSqlLimit)` DOCUMENT ME!
`void` `setPrepStmtCacheSize(int cacheSize)`
`void` `setPrepStmtCacheSqlLimit(int sqlLimit)`
`void` `setProcessEscapeCodesForPrepStmts(boolean flag)`
`void` `setProfilerEventHandler(java.lang.String handler)`
`void` `setProfileSql(boolean property)` DOCUMENT ME!
`void` `setProfileSQL(boolean flag)` DOCUMENT ME!
`void` `setPropertiesTransform(java.lang.String value)`
`void` `setQueriesBeforeRetryMaster(int property)` DOCUMENT ME!
`void` `setQueryTimeoutKillsConnection(boolean queryTimeoutKillsConnection)`
`void` `setReconnectAtTxEnd(boolean property)` DOCUMENT ME!
`void` `setRelaxAutoCommit(boolean property)` DOCUMENT ME!
`void` `setReportMetricsIntervalMillis(int millis)` DOCUMENT ME!
`void` `setRequireSSL(boolean property)` DOCUMENT ME!
`void` `setResourceId(java.lang.String resourceId)`
`void` `setResultSetSizeThreshold(int threshold)`
`void` `setRetainStatementAfterResultSetClose(boolean flag)`
`void` `setRetriesAllDown(int retriesAllDown)`
`void` `setRewriteBatchedStatements(boolean flag)`
`void` `setRollbackOnPooledClose(boolean flag)`
`void` `setRoundRobinLoadBalance(boolean flag)` Sets whether or not hosts will be picked in a round-robin fashion.
`void` `setRunningCTS13(boolean flag)`
`void` `setSecondsBeforeRetryMaster(int property)` DOCUMENT ME!
`void` `setSelfDestructOnPingMaxOperations(int maxOperations)`
`void` `setSelfDestructOnPingSecondsLifetime(int seconds)`
`void` `setServerTimezone(java.lang.String property)` DOCUMENT ME!
`void` `setSessionVariables(java.lang.String variables)`
`void` `setSlowQueryThresholdMillis(int millis)` DOCUMENT ME!
`void` `setSlowQueryThresholdNanos(long nanos)`
`void` `setSocketFactory(java.lang.String name)`
`void` `setSocketFactoryClassName(java.lang.String property)` DOCUMENT ME!
`void` `setSocketTimeout(int property)` DOCUMENT ME!
`void` `setStatementInterceptors(java.lang.String value)`
`void` `setStrictFloatingPoint(boolean property)` DOCUMENT ME!
`void` `setStrictUpdates(boolean property)` DOCUMENT ME!
`void` `setTcpKeepAlive(boolean flag)`
`void` `setTcpNoDelay(boolean flag)`
`void` `setTcpRcvBuf(int bufSize)`
`void` `setTcpSndBuf(int bufSize)`
`void` `setTcpTrafficClass(int classFlags)`
`void` `setTinyInt1isBit(boolean flag)`
`void` `setTraceProtocol(boolean flag)` DOCUMENT ME!
`void` `setTransformedBitIsBoolean(boolean flag)`
`void` `setTreatUtilDateAsTimestamp(boolean flag)`
`void` `setTrustCertificateKeyStorePassword(java.lang.String value)`
`void` `setTrustCertificateKeyStoreType(java.lang.String value)`
`void` `setTrustCertificateKeyStoreUrl(java.lang.String value)`
`void` `setUltraDevHack(boolean flag)`
`void` `setUseAffectedRows(boolean flag)`
`void` `setUseBlobToStoreUTF8OutsideBMP(boolean flag)`
`void` `setUseColumnNamesInFindColumn(boolean flag)`
`void` `setUseCompression(boolean property)` DOCUMENT ME!
`void` `setUseConfigs(java.lang.String configs)`
`void` `setUseCursorFetch(boolean flag)`
`void` `setUseDirectRowUnpack(boolean flag)`
`void` `setUseDynamicCharsetInfo(boolean flag)`
`void` `setUseFastDateParsing(boolean flag)`
`void` `setUseFastIntParsing(boolean flag)`
`void` `setUseGmtMillisForDatetimes(boolean flag)`
`void` `setUseHostsInPrivileges(boolean property)` DOCUMENT ME!
`void` `setUseInformationSchema(boolean flag)`
`void` `setUseJDBCCompliantTimezoneShift(boolean flag)`
`void` `setUseJvmCharsetConverters(boolean flag)`
`void` `setUseLegacyDatetimeCode(boolean flag)`
`void` `setUseLocalSessionState(boolean flag)`
`void` `setUseLocalTransactionState(boolean flag)`
`void` `setUseNanosForElapsedTime(boolean flag)`
`void` `setUseOldAliasMetadataBehavior(boolean flag)`
`void` `setUseOldUTF8Behavior(boolean flag)`
`void` `setUseOnlyServerErrorMessages(boolean flag)`
`void` `setUseReadAheadInput(boolean flag)`
`void` `setUseServerPreparedStmts(boolean flag)` DOCUMENT ME!
`void` `setUseServerPrepStmts(boolean flag)`
`void` `setUseSqlStateCodes(boolean flag)` DOCUMENT ME!
`void` `setUseSSL(boolean property)` DOCUMENT ME!
`void` `setUseSSPSCompatibleTimezoneShift(boolean flag)`
`void` `setUseStreamLengthsInPrepStmts(boolean property)` DOCUMENT ME!
`void` `setUseTimezone(boolean property)` DOCUMENT ME!
`void` `setUseUltraDevWorkAround(boolean property)` DOCUMENT ME!
`void` `setUseUnbufferedInput(boolean flag)` DOCUMENT ME!
`void` `setUseUnicode(boolean flag)` DOCUMENT ME!
`void` `setUseUsageAdvisor(boolean useUsageAdvisorFlag)` Sets whether or not the driver advises of proper usage.
`void` `setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)`
`void` `setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)`
`void` `setVerifyServerCertificate(boolean flag)`
`void` `setYearIsDateType(boolean flag)`
`void` `setZeroDateTimeBehavior(java.lang.String behavior)`
`boolean` `useUnbufferedInput()` DOCUMENT ME!

Method Detail

### exposeAsXml

    java.lang.String exposeAsXml()
                                 throws java.sql.SQLException

  Returns a description of the connection properties as an XML document.

  Returns:
    the connection properties as an XML document.
  Throws:
    `java.sql.SQLException` - if an error occurs.

### getAllowLoadLocalInfile

    boolean getAllowLoadLocalInfile()

  DOCUMENT ME!

  Returns:

### getAllowMultiQueries

    boolean getAllowMultiQueries()

  DOCUMENT ME!

  Returns:

### getAllowNanAndInf

    boolean getAllowNanAndInf()

  Returns:
    Returns the allowNanAndInf.

### getAllowUrlInLocalInfile

    boolean getAllowUrlInLocalInfile()

  Returns:
    Returns the allowUrlInLocalInfile.

### getAlwaysSendSetIsolation

    boolean getAlwaysSendSetIsolation()

  Returns:
    Returns the alwaysSendSetIsolation.

### getAutoDeserialize

    boolean getAutoDeserialize()

  Returns:
    Returns the autoDeserialize.

### getAutoGenerateTestcaseScript

    boolean getAutoGenerateTestcaseScript()

### getAutoReconnectForPools

    boolean getAutoReconnectForPools()

  DOCUMENT ME!

  Returns:

### getBlobSendChunkSize

    int getBlobSendChunkSize()

  Returns:
    Returns the blobSendChunkSize.

### getCacheCallableStatements

    boolean getCacheCallableStatements()

  DOCUMENT ME!

  Returns:
    Returns if cacheCallableStatements is enabled

### getCachePreparedStatements

    boolean getCachePreparedStatements()

  DOCUMENT ME!

  Returns:
    Returns the cachePreparedStatements.

### getCacheResultSetMetadata

    boolean getCacheResultSetMetadata()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getCacheServerConfiguration

    boolean getCacheServerConfiguration()

  Returns:
    Returns the cacheServerConfiguration.

### getCallableStatementCacheSize

    int getCallableStatementCacheSize()

  DOCUMENT ME!

  Returns:
    Returns the callableStatementCacheSize.

### getCapitalizeTypeNames

    boolean getCapitalizeTypeNames()

  DOCUMENT ME!

  Returns:

### getCharacterSetResults

    java.lang.String getCharacterSetResults()

  DOCUMENT ME!

  Returns:
    Returns the characterSetResults.

### getClobberStreamingResults

    boolean getClobberStreamingResults()

  DOCUMENT ME!

  Returns:
    Returns the clobberStreamingResults.

### getClobCharacterEncoding

    java.lang.String getClobCharacterEncoding()

### getConnectionCollation

    java.lang.String getConnectionCollation()

  DOCUMENT ME!

  Returns:
    Returns the connectionCollation.

### getConnectTimeout

    int getConnectTimeout()

  DOCUMENT ME!

  Returns:

### getContinueBatchOnError

    boolean getContinueBatchOnError()

  DOCUMENT ME!

  Returns:

### getCreateDatabaseIfNotExist

    boolean getCreateDatabaseIfNotExist()

### getDefaultFetchSize

    int getDefaultFetchSize()

### getDontTrackOpenResources

    boolean getDontTrackOpenResources()

  Returns:
    Returns the dontTrackOpenResources.

### getDumpQueriesOnException

    boolean getDumpQueriesOnException()

  DOCUMENT ME!

  Returns:
    Returns the dumpQueriesOnException.

### getDynamicCalendars

    boolean getDynamicCalendars()

  Returns:
    Returns the dynamicCalendars.

### getElideSetAutoCommits

    boolean getElideSetAutoCommits()

  DOCUMENT ME!

  Returns:
    Returns the elideSetAutoCommits.

### getEmptyStringsConvertToZero

    boolean getEmptyStringsConvertToZero()

### getEmulateLocators

    boolean getEmulateLocators()

  DOCUMENT ME!

  Returns:

### getEmulateUnsupportedPstmts

    boolean getEmulateUnsupportedPstmts()

  Returns:
    Returns the emulateUnsupportedPstmts.

### getEnablePacketDebug

    boolean getEnablePacketDebug()

  DOCUMENT ME!

  Returns:
    Returns the enablePacketDebug.

### getEncoding

    java.lang.String getEncoding()

  DOCUMENT ME!

  Returns:

### getExplainSlowQueries

    boolean getExplainSlowQueries()

  DOCUMENT ME!

  Returns:
    Returns the explainSlowQueries.

### getFailOverReadOnly

    boolean getFailOverReadOnly()

  DOCUMENT ME!

  Returns:
    Returns the failOverReadOnly.

### getGatherPerformanceMetrics

    boolean getGatherPerformanceMetrics()

  DOCUMENT ME!

  Returns:
    Returns the gatherPerformanceMetrics.

### getHoldResultsOpenOverStatementClose

    boolean getHoldResultsOpenOverStatementClose()

  Returns:
    Returns the holdResultsOpenOverStatementClose.

### getIgnoreNonTxTables

    boolean getIgnoreNonTxTables()

  DOCUMENT ME!

  Returns:

### getInitialTimeout

    int getInitialTimeout()

  DOCUMENT ME!

  Returns:

### getInteractiveClient

    boolean getInteractiveClient()

  DOCUMENT ME!

  Returns:

### getIsInteractiveClient

    boolean getIsInteractiveClient()

  DOCUMENT ME!

  Returns:
    Returns the isInteractiveClient.

### getJdbcCompliantTruncation

    boolean getJdbcCompliantTruncation()

  DOCUMENT ME!

  Returns:
    Returns the jdbcCompliantTruncation.

### getLocatorFetchBufferSize

    int getLocatorFetchBufferSize()

  Returns:
    Returns the dontTrackOpenResources.

### getLogger

    java.lang.String getLogger()

  DOCUMENT ME!

  Returns:

### getLoggerClassName

    java.lang.String getLoggerClassName()

  DOCUMENT ME!

  Returns:
    Returns the loggerClassName.

### getLogSlowQueries

    boolean getLogSlowQueries()

  DOCUMENT ME!

  Returns:
    Returns the logSlowQueries.

### getMaintainTimeStats

    boolean getMaintainTimeStats()

### getMaxQuerySizeToLog

    int getMaxQuerySizeToLog()

  DOCUMENT ME!

  Returns:
    Returns the maxQuerySizeToLog.

### getMaxReconnects

    int getMaxReconnects()

  DOCUMENT ME!

  Returns:

### getMaxRows

    int getMaxRows()

  DOCUMENT ME!

  Returns:

### getMetadataCacheSize

    int getMetadataCacheSize()

  Returns the number of queries that metadata can be cached if caching is enabled.

  Returns:
    the number of queries to cache metadata for.

### getNoDatetimeStringSync

    boolean getNoDatetimeStringSync()

  Returns:
    Returns the noDatetimeStringSync.

### getNullCatalogMeansCurrent

    boolean getNullCatalogMeansCurrent()

### getNullNamePatternMatchesAll

    boolean getNullNamePatternMatchesAll()

### getPacketDebugBufferSize

    int getPacketDebugBufferSize()

  DOCUMENT ME!

  Returns:
    Returns the packetDebugBufferSize.

### getParanoid

    boolean getParanoid()

  DOCUMENT ME!

  Returns:

### getPedantic

    boolean getPedantic()

  DOCUMENT ME!

  Returns:

### getPreparedStatementCacheSize

    int getPreparedStatementCacheSize()

  DOCUMENT ME!

  Returns:
    Returns the preparedStatementCacheSize.

### getPreparedStatementCacheSqlLimit

    int getPreparedStatementCacheSqlLimit()

  DOCUMENT ME!

  Returns:
    Returns the preparedStatementCacheSqlLimit.

### getProfileSql

    boolean getProfileSql()

  DOCUMENT ME!

  Returns:

### getProfileSQL

    boolean getProfileSQL()

  DOCUMENT ME!

  Returns:
    Returns the profileSQL flag

### getPropertiesTransform

    java.lang.String getPropertiesTransform()

  Returns:
    Returns the propertiesTransform.

### getQueriesBeforeRetryMaster

    int getQueriesBeforeRetryMaster()

  DOCUMENT ME!

  Returns:

### getReconnectAtTxEnd

    boolean getReconnectAtTxEnd()

  DOCUMENT ME!

  Returns:

### getRelaxAutoCommit

    boolean getRelaxAutoCommit()

  DOCUMENT ME!

  Returns:

### getReportMetricsIntervalMillis

    int getReportMetricsIntervalMillis()

  DOCUMENT ME!

  Returns:
    Returns the reportMetricsIntervalMillis.

### getRequireSSL

    boolean getRequireSSL()

  DOCUMENT ME!

  Returns:

### getRollbackOnPooledClose

    boolean getRollbackOnPooledClose()

  Returns:
    Returns the rollbackOnPooledClose.

### getRoundRobinLoadBalance

    boolean getRoundRobinLoadBalance()

  Returns whether or not hosts will be picked in a round-robin fashion.

  Returns:
    Returns the roundRobinLoadBalance property.

### getRunningCTS13

    boolean getRunningCTS13()

  Returns:
    Returns the runningCTS13.

### getSecondsBeforeRetryMaster

    int getSecondsBeforeRetryMaster()

  DOCUMENT ME!

  Returns:

### getServerTimezone

    java.lang.String getServerTimezone()

  Returns the 'serverTimezone' property.

  Returns:
    the configured server timezone property.

### getSessionVariables

    java.lang.String getSessionVariables()

  Returns:
    Returns the sessionVariables.

### getSlowQueryThresholdMillis

    int getSlowQueryThresholdMillis()

  DOCUMENT ME!

  Returns:
    Returns the slowQueryThresholdMillis.

### getSocketFactoryClassName

    java.lang.String getSocketFactoryClassName()

  DOCUMENT ME!

  Returns:

### getSocketTimeout

    int getSocketTimeout()

  DOCUMENT ME!

  Returns:

### getStrictFloatingPoint

    boolean getStrictFloatingPoint()

  DOCUMENT ME!

  Returns:

### getStrictUpdates

    boolean getStrictUpdates()

  DOCUMENT ME!

  Returns:

### getTinyInt1isBit

    boolean getTinyInt1isBit()

  Returns:
    Returns the tinyInt1isBit.

### getTraceProtocol

    boolean getTraceProtocol()

  DOCUMENT ME!

  Returns:
    Returns the logProtocol.

### getTransformedBitIsBoolean

    boolean getTransformedBitIsBoolean()

### getUseCompression

    boolean getUseCompression()

  DOCUMENT ME!

  Returns:

### getUseFastIntParsing

    boolean getUseFastIntParsing()

  Returns:
    Returns the useFastIntParsing.

### getUseHostsInPrivileges

    boolean getUseHostsInPrivileges()

  DOCUMENT ME!

  Returns:

### getUseInformationSchema

    boolean getUseInformationSchema()

### getUseLocalSessionState

    boolean getUseLocalSessionState()

  Returns:
    Returns the useLocalSessionState.

### getUseOldUTF8Behavior

    boolean getUseOldUTF8Behavior()

  Returns:
    Returns the useOldUTF8Behavior.

### getUseOnlyServerErrorMessages

    boolean getUseOnlyServerErrorMessages()

  Returns:
    Returns the useOnlyServerErrorMessages.

### getUseReadAheadInput

    boolean getUseReadAheadInput()

  Returns:
    Returns the useReadAheadInput.

### getUseServerPreparedStmts

    boolean getUseServerPreparedStmts()

  DOCUMENT ME!

  Returns:

### getUseSqlStateCodes

    boolean getUseSqlStateCodes()

  DOCUMENT ME!

  Returns:
    Returns the useSqlStateCodes state.

### getUseSSL

    boolean getUseSSL()

  DOCUMENT ME!

  Returns:

### getUseStreamLengthsInPrepStmts

    boolean getUseStreamLengthsInPrepStmts()

  DOCUMENT ME!

  Returns:

### getUseTimezone

    boolean getUseTimezone()

  DOCUMENT ME!

  Returns:

### getUseUltraDevWorkAround

    boolean getUseUltraDevWorkAround()

  DOCUMENT ME!

  Returns:

### getUseUnbufferedInput

    boolean getUseUnbufferedInput()

  DOCUMENT ME!

  Returns:
    Returns the useUnbufferedInput.

### getUseUnicode

    boolean getUseUnicode()

  DOCUMENT ME!

  Returns:

### getUseUsageAdvisor

    boolean getUseUsageAdvisor()

  Returns whether or not the driver advises of proper usage.

  Returns:
    the value of useUsageAdvisor

### getYearIsDateType

    boolean getYearIsDateType()

### getZeroDateTimeBehavior

    java.lang.String getZeroDateTimeBehavior()

  Returns:
    Returns the zeroDateTimeBehavior.

### setAllowLoadLocalInfile

    void setAllowLoadLocalInfile(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setAllowMultiQueries

    void setAllowMultiQueries(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setAllowNanAndInf

    void setAllowNanAndInf(boolean flag)

  Parameters:
    `allowNanAndInf` - The allowNanAndInf to set.

### setAllowUrlInLocalInfile

    void setAllowUrlInLocalInfile(boolean flag)

  Parameters:
    `allowUrlInLocalInfile` - The allowUrlInLocalInfile to set.

### setAlwaysSendSetIsolation

    void setAlwaysSendSetIsolation(boolean flag)

  Parameters:
    `alwaysSendSetIsolation` - The alwaysSendSetIsolation to set.

### setAutoDeserialize

    void setAutoDeserialize(boolean flag)

  Parameters:
    `autoDeserialize` - The autoDeserialize to set.

### setAutoGenerateTestcaseScript

    void setAutoGenerateTestcaseScript(boolean flag)

### setAutoReconnect

    void setAutoReconnect(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The autoReconnect to set.

### setAutoReconnectForConnectionPools

    void setAutoReconnectForConnectionPools(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setAutoReconnectForPools

    void setAutoReconnectForPools(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The autoReconnectForPools to set.

### setBlobSendChunkSize

    void setBlobSendChunkSize(java.lang.String value)
                              throws java.sql.SQLException

  Parameters:
    `blobSendChunkSize` - The blobSendChunkSize to set.
  Throws:
    `java.sql.SQLException`

### setCacheCallableStatements

    void setCacheCallableStatements(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The cacheCallableStatements to set.

### setCachePreparedStatements

    void setCachePreparedStatements(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The cachePreparedStatements to set.

### setCacheResultSetMetadata

    void setCacheResultSetMetadata(boolean property)

  Sets whether or not we should cache result set metadata.

  Parameters:
    `property` -

### setCacheServerConfiguration

    void setCacheServerConfiguration(boolean flag)

  Parameters:
    `cacheServerConfiguration` - The cacheServerConfiguration to set.

### setCallableStatementCacheSize

    void setCallableStatementCacheSize(int size)

  Configures the number of callable statements to cache. (this is configurable during the life of the connection).

  Parameters:
    `size` - The callableStatementCacheSize to set.

### setCapitalizeDBMDTypes

    void setCapitalizeDBMDTypes(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setCapitalizeTypeNames

    void setCapitalizeTypeNames(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The capitalizeTypeNames to set.

### setCharacterEncoding

    void setCharacterEncoding(java.lang.String encoding)

  DOCUMENT ME!

  Parameters:
    `encoding` - The characterEncoding to set.

### setCharacterSetResults

    void setCharacterSetResults(java.lang.String characterSet)

  DOCUMENT ME!

  Parameters:
    `characterSet` - The characterSetResults to set.

### setClobberStreamingResults

    void setClobberStreamingResults(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The clobberStreamingResults to set.

### setClobCharacterEncoding

    void setClobCharacterEncoding(java.lang.String encoding)

### setConnectionCollation

    void setConnectionCollation(java.lang.String collation)

  DOCUMENT ME!

  Parameters:
    `collation` - The connectionCollation to set.

### setConnectTimeout

    void setConnectTimeout(int timeoutMs)

  DOCUMENT ME!

  Parameters:
    `timeoutMs` -

### setContinueBatchOnError

    void setContinueBatchOnError(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setCreateDatabaseIfNotExist

    void setCreateDatabaseIfNotExist(boolean flag)

### setDefaultFetchSize

    void setDefaultFetchSize(int n)

### setDetectServerPreparedStmts

    void setDetectServerPreparedStmts(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setDontTrackOpenResources

    void setDontTrackOpenResources(boolean flag)

  Parameters:
    `dontTrackOpenResources` - The dontTrackOpenResources to set.

### setDumpQueriesOnException

    void setDumpQueriesOnException(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The dumpQueriesOnException to set.

### setDynamicCalendars

    void setDynamicCalendars(boolean flag)

  Parameters:
    `dynamicCalendars` - The dynamicCalendars to set.

### setElideSetAutoCommits

    void setElideSetAutoCommits(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The elideSetAutoCommits to set.

### setEmptyStringsConvertToZero

    void setEmptyStringsConvertToZero(boolean flag)

### setEmulateLocators

    void setEmulateLocators(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setEmulateUnsupportedPstmts

    void setEmulateUnsupportedPstmts(boolean flag)

  Parameters:
    `emulateUnsupportedPstmts` - The emulateUnsupportedPstmts to set.

### setEnablePacketDebug

    void setEnablePacketDebug(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The enablePacketDebug to set.

### setEncoding

    void setEncoding(java.lang.String property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setExplainSlowQueries

    void setExplainSlowQueries(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The explainSlowQueries to set.

### setFailOverReadOnly

    void setFailOverReadOnly(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The failOverReadOnly to set.

### setGatherPerformanceMetrics

    void setGatherPerformanceMetrics(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The gatherPerformanceMetrics to set.

### setHoldResultsOpenOverStatementClose

    void setHoldResultsOpenOverStatementClose(boolean flag)

  Parameters:
    `holdResultsOpenOverStatementClose` - The holdResultsOpenOverStatementClose to set.

### setIgnoreNonTxTables

    void setIgnoreNonTxTables(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setInitialTimeout

    void setInitialTimeout(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setIsInteractiveClient

    void setIsInteractiveClient(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setJdbcCompliantTruncation

    void setJdbcCompliantTruncation(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The jdbcCompliantTruncation to set.

### setLocatorFetchBufferSize

    void setLocatorFetchBufferSize(java.lang.String value)
                                   throws java.sql.SQLException

  Parameters:
    `locatorFetchBufferSize` - The locatorFetchBufferSize to set.
  Throws:
    `java.sql.SQLException`

### setLogger

    void setLogger(java.lang.String property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setLoggerClassName

    void setLoggerClassName(java.lang.String className)

  DOCUMENT ME!

  Parameters:
    `className` - The loggerClassName to set.

### setLogSlowQueries

    void setLogSlowQueries(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The logSlowQueries to set.

### setMaintainTimeStats

    void setMaintainTimeStats(boolean flag)

### setMaxQuerySizeToLog

    void setMaxQuerySizeToLog(int sizeInBytes)

  DOCUMENT ME!

  Parameters:
    `sizeInBytes` - The maxQuerySizeToLog to set.

### setMaxReconnects

    void setMaxReconnects(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setMaxRows

    void setMaxRows(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setMetadataCacheSize

    void setMetadataCacheSize(int value)

  Sets the number of queries that metadata can be cached if caching is enabled.

  Parameters:
    `value` - the number of queries to cache metadata for.

### setNoDatetimeStringSync

    void setNoDatetimeStringSync(boolean flag)

  Parameters:
    `noDatetimeStringSync` - The noDatetimeStringSync to set.

### setNullCatalogMeansCurrent

    void setNullCatalogMeansCurrent(boolean value)

### setNullNamePatternMatchesAll

    void setNullNamePatternMatchesAll(boolean value)

### setPacketDebugBufferSize

    void setPacketDebugBufferSize(int size)

  DOCUMENT ME!

  Parameters:
    `size` - The packetDebugBufferSize to set.

### setParanoid

    void setParanoid(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setPedantic

    void setPedantic(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setPreparedStatementCacheSize

    void setPreparedStatementCacheSize(int cacheSize)

  DOCUMENT ME!

  Parameters:
    `cacheSize` - The preparedStatementCacheSize to set.

### setPreparedStatementCacheSqlLimit

    void setPreparedStatementCacheSqlLimit(int cacheSqlLimit)

  DOCUMENT ME!

  Parameters:
    `cacheSqlLimit` - The preparedStatementCacheSqlLimit to set.

### setProfileSql

    void setProfileSql(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setProfileSQL

    void setProfileSQL(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The profileSQL to set.

### setPropertiesTransform

    void setPropertiesTransform(java.lang.String value)

  Parameters:
    `propertiesTransform` - The propertiesTransform to set.

### setQueriesBeforeRetryMaster

    void setQueriesBeforeRetryMaster(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setReconnectAtTxEnd

    void setReconnectAtTxEnd(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setRelaxAutoCommit

    void setRelaxAutoCommit(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setReportMetricsIntervalMillis

    void setReportMetricsIntervalMillis(int millis)

  DOCUMENT ME!

  Parameters:
    `millis` - The reportMetricsIntervalMillis to set.

### setRequireSSL

    void setRequireSSL(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setRetainStatementAfterResultSetClose

    void setRetainStatementAfterResultSetClose(boolean flag)

### setRollbackOnPooledClose

    void setRollbackOnPooledClose(boolean flag)

  Parameters:
    `rollbackOnPooledClose` - The rollbackOnPooledClose to set.

### setRoundRobinLoadBalance

    void setRoundRobinLoadBalance(boolean flag)

  Sets whether or not hosts will be picked in a round-robin fashion.

  Parameters:
    `flag` - The roundRobinLoadBalance property to set.

### setRunningCTS13

    void setRunningCTS13(boolean flag)

  Parameters:
    `runningCTS13` - The runningCTS13 to set.

### setSecondsBeforeRetryMaster

    void setSecondsBeforeRetryMaster(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setServerTimezone

    void setServerTimezone(java.lang.String property)

  DOCUMENT ME!

  Parameters:
    `property` - DOCUMENT ME!

### setSessionVariables

    void setSessionVariables(java.lang.String variables)

  Parameters:
    `sessionVariables` - The sessionVariables to set.

### setSlowQueryThresholdMillis

    void setSlowQueryThresholdMillis(int millis)

  DOCUMENT ME!

  Parameters:
    `millis` - The slowQueryThresholdMillis to set.

### setSocketFactoryClassName

    void setSocketFactoryClassName(java.lang.String property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setSocketTimeout

    void setSocketTimeout(int property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setStrictFloatingPoint

    void setStrictFloatingPoint(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setStrictUpdates

    void setStrictUpdates(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setTinyInt1isBit

    void setTinyInt1isBit(boolean flag)

  Parameters:
    `tinyInt1isBit` - The tinyInt1isBit to set.

### setTraceProtocol

    void setTraceProtocol(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The logProtocol to set.

### setTransformedBitIsBoolean

    void setTransformedBitIsBoolean(boolean flag)

### setUseCompression

    void setUseCompression(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseFastIntParsing

    void setUseFastIntParsing(boolean flag)

  Parameters:
    `useFastIntParsing` - The useFastIntParsing to set.

### setUseHostsInPrivileges

    void setUseHostsInPrivileges(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseInformationSchema

    void setUseInformationSchema(boolean flag)

### setUseLocalSessionState

    void setUseLocalSessionState(boolean flag)

  Parameters:
    `useLocalSessionState` - The useLocalSessionState to set.

### setUseOldUTF8Behavior

    void setUseOldUTF8Behavior(boolean flag)

  Parameters:
    `useOldUTF8Behavior` - The useOldUTF8Behavior to set.

### setUseOnlyServerErrorMessages

    void setUseOnlyServerErrorMessages(boolean flag)

  Parameters:
    `useOnlyServerErrorMessages` - The useOnlyServerErrorMessages to set.

### setUseReadAheadInput

    void setUseReadAheadInput(boolean flag)

  Parameters:
    `useReadAheadInput` - The useReadAheadInput to set.

### setUseServerPreparedStmts

    void setUseServerPreparedStmts(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The detectServerPreparedStmts to set.

### setUseSqlStateCodes

    void setUseSqlStateCodes(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The useSqlStateCodes to set.

### setUseSSL

    void setUseSSL(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseStreamLengthsInPrepStmts

    void setUseStreamLengthsInPrepStmts(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseTimezone

    void setUseTimezone(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseUltraDevWorkAround

    void setUseUltraDevWorkAround(boolean property)

  DOCUMENT ME!

  Parameters:
    `property` -

### setUseUnbufferedInput

    void setUseUnbufferedInput(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The useUnbufferedInput to set.

### setUseUnicode

    void setUseUnicode(boolean flag)

  DOCUMENT ME!

  Parameters:
    `flag` - The useUnicode to set.

### setUseUsageAdvisor

    void setUseUsageAdvisor(boolean useUsageAdvisorFlag)

  Sets whether or not the driver advises of proper usage.

  Parameters:
    `useUsageAdvisorFlag` - whether or not the driver advises of proper usage.

### setYearIsDateType

    void setYearIsDateType(boolean flag)

### setZeroDateTimeBehavior

    void setZeroDateTimeBehavior(java.lang.String behavior)

  Parameters:
    `zeroDateTimeBehavior` - The zeroDateTimeBehavior to set.

### useUnbufferedInput

    boolean useUnbufferedInput()

  DOCUMENT ME!

  Returns:
    Returns the useUnbufferedInput.

### getUseCursorFetch

    boolean getUseCursorFetch()

### setUseCursorFetch

    void setUseCursorFetch(boolean flag)

### getOverrideSupportsIntegrityEnhancementFacility

    boolean getOverrideSupportsIntegrityEnhancementFacility()

### setOverrideSupportsIntegrityEnhancementFacility

    void setOverrideSupportsIntegrityEnhancementFacility(boolean flag)

### getNoTimezoneConversionForTimeType

    boolean getNoTimezoneConversionForTimeType()

### setNoTimezoneConversionForTimeType

    void setNoTimezoneConversionForTimeType(boolean flag)

### getUseJDBCCompliantTimezoneShift

    boolean getUseJDBCCompliantTimezoneShift()

### setUseJDBCCompliantTimezoneShift

    void setUseJDBCCompliantTimezoneShift(boolean flag)

### getAutoClosePStmtStreams

    boolean getAutoClosePStmtStreams()

### setAutoClosePStmtStreams

    void setAutoClosePStmtStreams(boolean flag)

### getProcessEscapeCodesForPrepStmts

    boolean getProcessEscapeCodesForPrepStmts()

### setProcessEscapeCodesForPrepStmts

    void setProcessEscapeCodesForPrepStmts(boolean flag)

### getUseGmtMillisForDatetimes

    boolean getUseGmtMillisForDatetimes()

### setUseGmtMillisForDatetimes

    void setUseGmtMillisForDatetimes(boolean flag)

### getDumpMetadataOnColumnNotFound

    boolean getDumpMetadataOnColumnNotFound()

### setDumpMetadataOnColumnNotFound

    void setDumpMetadataOnColumnNotFound(boolean flag)

### getResourceId

    java.lang.String getResourceId()

### setResourceId

    void setResourceId(java.lang.String resourceId)

### getRewriteBatchedStatements

    boolean getRewriteBatchedStatements()

### setRewriteBatchedStatements

    void setRewriteBatchedStatements(boolean flag)

### getJdbcCompliantTruncationForReads

    boolean getJdbcCompliantTruncationForReads()

### setJdbcCompliantTruncationForReads

    void setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)

### getUseJvmCharsetConverters

    boolean getUseJvmCharsetConverters()

### setUseJvmCharsetConverters

    void setUseJvmCharsetConverters(boolean flag)

### getPinGlobalTxToPhysicalConnection

    boolean getPinGlobalTxToPhysicalConnection()

### setPinGlobalTxToPhysicalConnection

    void setPinGlobalTxToPhysicalConnection(boolean flag)

### setGatherPerfMetrics

    void setGatherPerfMetrics(boolean flag)

### getGatherPerfMetrics

    boolean getGatherPerfMetrics()

### setUltraDevHack

    void setUltraDevHack(boolean flag)

### getUltraDevHack

    boolean getUltraDevHack()

### setInteractiveClient

    void setInteractiveClient(boolean property)

### setSocketFactory

    void setSocketFactory(java.lang.String name)

### getSocketFactory

    java.lang.String getSocketFactory()

### setUseServerPrepStmts

    void setUseServerPrepStmts(boolean flag)

### getUseServerPrepStmts

    boolean getUseServerPrepStmts()

### setCacheCallableStmts

    void setCacheCallableStmts(boolean flag)

### getCacheCallableStmts

    boolean getCacheCallableStmts()

### setCachePrepStmts

    void setCachePrepStmts(boolean flag)

### getCachePrepStmts

    boolean getCachePrepStmts()

### setCallableStmtCacheSize

    void setCallableStmtCacheSize(int cacheSize)

### getCallableStmtCacheSize

    int getCallableStmtCacheSize()

### setPrepStmtCacheSize

    void setPrepStmtCacheSize(int cacheSize)

### getPrepStmtCacheSize

    int getPrepStmtCacheSize()

### setPrepStmtCacheSqlLimit

    void setPrepStmtCacheSqlLimit(int sqlLimit)

### getPrepStmtCacheSqlLimit

    int getPrepStmtCacheSqlLimit()

### getNoAccessToProcedureBodies

    boolean getNoAccessToProcedureBodies()

### setNoAccessToProcedureBodies

    void setNoAccessToProcedureBodies(boolean flag)

### getUseOldAliasMetadataBehavior

    boolean getUseOldAliasMetadataBehavior()

### setUseOldAliasMetadataBehavior

    void setUseOldAliasMetadataBehavior(boolean flag)

### getClientCertificateKeyStorePassword

    java.lang.String getClientCertificateKeyStorePassword()

### setClientCertificateKeyStorePassword

    void setClientCertificateKeyStorePassword(java.lang.String value)

### getClientCertificateKeyStoreType

    java.lang.String getClientCertificateKeyStoreType()

### setClientCertificateKeyStoreType

    void setClientCertificateKeyStoreType(java.lang.String value)

### getClientCertificateKeyStoreUrl

    java.lang.String getClientCertificateKeyStoreUrl()

### setClientCertificateKeyStoreUrl

    void setClientCertificateKeyStoreUrl(java.lang.String value)

### getTrustCertificateKeyStorePassword

    java.lang.String getTrustCertificateKeyStorePassword()

### setTrustCertificateKeyStorePassword

    void setTrustCertificateKeyStorePassword(java.lang.String value)

### getTrustCertificateKeyStoreType

    java.lang.String getTrustCertificateKeyStoreType()

### setTrustCertificateKeyStoreType

    void setTrustCertificateKeyStoreType(java.lang.String value)

### getTrustCertificateKeyStoreUrl

    java.lang.String getTrustCertificateKeyStoreUrl()

### setTrustCertificateKeyStoreUrl

    void setTrustCertificateKeyStoreUrl(java.lang.String value)

### getUseSSPSCompatibleTimezoneShift

    boolean getUseSSPSCompatibleTimezoneShift()

### setUseSSPSCompatibleTimezoneShift

    void setUseSSPSCompatibleTimezoneShift(boolean flag)

### getTreatUtilDateAsTimestamp

    boolean getTreatUtilDateAsTimestamp()

### setTreatUtilDateAsTimestamp

    void setTreatUtilDateAsTimestamp(boolean flag)

### getUseFastDateParsing

    boolean getUseFastDateParsing()

### setUseFastDateParsing

    void setUseFastDateParsing(boolean flag)

### getLocalSocketAddress

    java.lang.String getLocalSocketAddress()

### setLocalSocketAddress

    void setLocalSocketAddress(java.lang.String address)

### setUseConfigs

    void setUseConfigs(java.lang.String configs)

### getUseConfigs

    java.lang.String getUseConfigs()

### getGenerateSimpleParameterMetadata

    boolean getGenerateSimpleParameterMetadata()

### setGenerateSimpleParameterMetadata

    void setGenerateSimpleParameterMetadata(boolean flag)

### getLogXaCommands

    boolean getLogXaCommands()

### setLogXaCommands

    void setLogXaCommands(boolean flag)

### getResultSetSizeThreshold

    int getResultSetSizeThreshold()

### setResultSetSizeThreshold

    void setResultSetSizeThreshold(int threshold)

### getNetTimeoutForStreamingResults

    int getNetTimeoutForStreamingResults()

### setNetTimeoutForStreamingResults

    void setNetTimeoutForStreamingResults(int value)

### getEnableQueryTimeouts

    boolean getEnableQueryTimeouts()

### setEnableQueryTimeouts

    void setEnableQueryTimeouts(boolean flag)

### getPadCharsWithSpace

    boolean getPadCharsWithSpace()

### setPadCharsWithSpace

    void setPadCharsWithSpace(boolean flag)

### getUseDynamicCharsetInfo

    boolean getUseDynamicCharsetInfo()

### setUseDynamicCharsetInfo

    void setUseDynamicCharsetInfo(boolean flag)

### getClientInfoProvider

    java.lang.String getClientInfoProvider()

### setClientInfoProvider

    void setClientInfoProvider(java.lang.String classname)

### getPopulateInsertRowWithDefaultValues

    boolean getPopulateInsertRowWithDefaultValues()

### setPopulateInsertRowWithDefaultValues

    void setPopulateInsertRowWithDefaultValues(boolean flag)

### getLoadBalanceStrategy

    java.lang.String getLoadBalanceStrategy()

### setLoadBalanceStrategy

    void setLoadBalanceStrategy(java.lang.String strategy)

### getTcpNoDelay

    boolean getTcpNoDelay()

### setTcpNoDelay

    void setTcpNoDelay(boolean flag)

### getTcpKeepAlive

    boolean getTcpKeepAlive()

### setTcpKeepAlive

    void setTcpKeepAlive(boolean flag)

### getTcpRcvBuf

    int getTcpRcvBuf()

### setTcpRcvBuf

    void setTcpRcvBuf(int bufSize)

### getTcpSndBuf

    int getTcpSndBuf()

### setTcpSndBuf

    void setTcpSndBuf(int bufSize)

### getTcpTrafficClass

    int getTcpTrafficClass()

### setTcpTrafficClass

    void setTcpTrafficClass(int classFlags)

### getUseNanosForElapsedTime

    boolean getUseNanosForElapsedTime()

### setUseNanosForElapsedTime

    void setUseNanosForElapsedTime(boolean flag)

### getSlowQueryThresholdNanos

    long getSlowQueryThresholdNanos()

### setSlowQueryThresholdNanos

    void setSlowQueryThresholdNanos(long nanos)

### getStatementInterceptors

    java.lang.String getStatementInterceptors()

### setStatementInterceptors

    void setStatementInterceptors(java.lang.String value)

### getUseDirectRowUnpack

    boolean getUseDirectRowUnpack()

### setUseDirectRowUnpack

    void setUseDirectRowUnpack(boolean flag)

### getLargeRowSizeThreshold

    java.lang.String getLargeRowSizeThreshold()

### setLargeRowSizeThreshold

    void setLargeRowSizeThreshold(java.lang.String value)

### getUseBlobToStoreUTF8OutsideBMP

    boolean getUseBlobToStoreUTF8OutsideBMP()

### setUseBlobToStoreUTF8OutsideBMP

    void setUseBlobToStoreUTF8OutsideBMP(boolean flag)

### getUtf8OutsideBmpExcludedColumnNamePattern

    java.lang.String getUtf8OutsideBmpExcludedColumnNamePattern()

### setUtf8OutsideBmpExcludedColumnNamePattern

    void setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)

### getUtf8OutsideBmpIncludedColumnNamePattern

    java.lang.String getUtf8OutsideBmpIncludedColumnNamePattern()

### setUtf8OutsideBmpIncludedColumnNamePattern

    void setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)

### getIncludeInnodbStatusInDeadlockExceptions

    boolean getIncludeInnodbStatusInDeadlockExceptions()

### setIncludeInnodbStatusInDeadlockExceptions

    void setIncludeInnodbStatusInDeadlockExceptions(boolean flag)

### getBlobsAreStrings

    boolean getBlobsAreStrings()

### setBlobsAreStrings

    void setBlobsAreStrings(boolean flag)

### getFunctionsNeverReturnBlobs

    boolean getFunctionsNeverReturnBlobs()

### setFunctionsNeverReturnBlobs

    void setFunctionsNeverReturnBlobs(boolean flag)

### getAutoSlowLog

    boolean getAutoSlowLog()

### setAutoSlowLog

    void setAutoSlowLog(boolean flag)

### getConnectionLifecycleInterceptors

    java.lang.String getConnectionLifecycleInterceptors()

### setConnectionLifecycleInterceptors

    void setConnectionLifecycleInterceptors(java.lang.String interceptors)

### getProfilerEventHandler

    java.lang.String getProfilerEventHandler()

### setProfilerEventHandler

    void setProfilerEventHandler(java.lang.String handler)

### getVerifyServerCertificate

    boolean getVerifyServerCertificate()

### setVerifyServerCertificate

    void setVerifyServerCertificate(boolean flag)

### getUseLegacyDatetimeCode

    boolean getUseLegacyDatetimeCode()

### setUseLegacyDatetimeCode

    void setUseLegacyDatetimeCode(boolean flag)

### getSelfDestructOnPingSecondsLifetime

    int getSelfDestructOnPingSecondsLifetime()

### setSelfDestructOnPingSecondsLifetime

    void setSelfDestructOnPingSecondsLifetime(int seconds)

### getSelfDestructOnPingMaxOperations

    int getSelfDestructOnPingMaxOperations()

### setSelfDestructOnPingMaxOperations

    void setSelfDestructOnPingMaxOperations(int maxOperations)

### getUseColumnNamesInFindColumn

    boolean getUseColumnNamesInFindColumn()

### setUseColumnNamesInFindColumn

    void setUseColumnNamesInFindColumn(boolean flag)

### getUseLocalTransactionState

    boolean getUseLocalTransactionState()

### setUseLocalTransactionState

    void setUseLocalTransactionState(boolean flag)

### getCompensateOnDuplicateKeyUpdateCounts

    boolean getCompensateOnDuplicateKeyUpdateCounts()

### setCompensateOnDuplicateKeyUpdateCounts

    void setCompensateOnDuplicateKeyUpdateCounts(boolean flag)

### setUseAffectedRows

    void setUseAffectedRows(boolean flag)

### getUseAffectedRows

    boolean getUseAffectedRows()

### setPasswordCharacterEncoding

    void setPasswordCharacterEncoding(java.lang.String characterSet)

### getPasswordCharacterEncoding

    java.lang.String getPasswordCharacterEncoding()

### getLoadBalanceBlacklistTimeout

    int getLoadBalanceBlacklistTimeout()

### setLoadBalanceBlacklistTimeout

    void setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)

### setRetriesAllDown

    void setRetriesAllDown(int retriesAllDown)

### getRetriesAllDown

    int getRetriesAllDown()

### getExceptionInterceptor

    ExceptionInterceptor getExceptionInterceptor()

### setExceptionInterceptors

    void setExceptionInterceptors(java.lang.String exceptionInterceptors)

### getExceptionInterceptors

    java.lang.String getExceptionInterceptors()

### getQueryTimeoutKillsConnection

    boolean getQueryTimeoutKillsConnection()

### setQueryTimeoutKillsConnection

    void setQueryTimeoutKillsConnection(boolean queryTimeoutKillsConnection)